> For the complete documentation index, see [llms.txt](https://docs.heliumbuilder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.heliumbuilder.com/v1/product.md).

# Product

## GET

### Route: `/api/v1/similar/{id}`

Get saved product details of a product with id =`{id}`.

**Response ( status code: 200 )**

<pre class="language-typescript"><code class="lang-typescript"><strong>{
</strong>    "id": string,
    "title": string,
    "description": string,
    "image": string,
    "priceRange": {
        "maxVariantPrice": {
            "amount": string,
            "currencyCode": string
        }
    }
}
</code></pre>

#### **example**

```json
{
	"id": "8986383647013",
	"title": "Blue Twill Check Casual Shirt",
	"description": "Model Size M Pattern Checkered Color Blue : White Fabric Cotton Sleeve Long Sleeves",
	"image": "https://cdn.shopify.com/s/files/1/0795/9858/4101/products/SUM23SHRT_PNCHK32_M_PLN_BUWH_1_b08e98e1-31ef-4f74-ad8e-7ee4b752c178.jpg?v=1705311522",
	"priceRange": {
		"maxVariantPrice": {
			"currencyCode": "INR",
			"amount": 849
		}
	}
}
```

## POST&#x20;

{% hint style="warning" %}
Ideally, This should be done through the dashboard by syncing with your e-commerce provider. Doing this manually may cause inconsistency.
{% endhint %}

### Route: `/api/v1/similar/{id}`

Create a product with id =`{id}`.

**Response ( status code: 200 )**

```typescript
{
   "message": "saved successfully"
}
```

## PATCH

{% hint style="warning" %}
Ideally, This should be done through the dashboard by syncing with your e-commerce provider. Doing this manually may cause inconsistency.
{% endhint %}

### Route: `/api/v1/similar/{id}`

Update product details with id =`{id}`.

**Response ( status code: 200 )**

```typescript
{
   "message": "saved successfully"
}
```
